Subject: Re: bug#7053: Reftex is fully broken

From: Alpár Jüttner <[email-masked]>
Date: Sun, 19 Sep 2010 07:24:13 +0200

> Thanks.  It sounds like the problem is in reftex-what-macro.  I'm
> CC'ing the reftex author and maintainers in the hope that they can
> find the culprit.
> 
> Failing that, perhaps you could do a "bzr bisect" to find the revision
> which broke reftex.

I try to avoid to do it as far as I can. I'm a big fan of distributed
version control systems. I use hg in several project with grate success
and satisfaction. I people have also very good experience with git.

But bzr is so much pain to use. A 'bzr pull' triggers tens of MB net
traffic  every time (and takes long minutes), operations that are
instantaneous on hg/git takes ages here (log, update, status, diff).

I simply can't understand why emacs chose bzr.

Regards,
Alpar

> 
> Thanks.
> 
> > 
> > Lisp Backtrace:
> > "forward-sexp" (0xbfffc9b4)
> > "backward-sexp" (0xbfffcae4)
> > ---Type <return> to continue, or q <return> to quit---
> > "latex-backward-sexp-1" (0xbfffcc24)
> > "byte-code" (0xbfffccd0)
> > "latex-forward-sexp" (0xbfffcf64)
> > "forward-sexp" (0xbfffd094)
> > "byte-code" (0xbfffd140)
> > "up-list" (0xbfffd3e4)
> > "byte-code" (0xbfffd490)
> > "byte-code" (0xbfffd6b0)
> > "reftex-what-macro" (0xbfffd924)
> > "reftex-label-location" (0xbfffda64)
> > "reftex-label-info" (0xbfffdba4)
> > "byte-code" (0xbfffdc60)
> > "reftex-parse-from-file" (0xbfffdef4)
> > "byte-code" (0xbfffdfa0)
> > "reftex-do-parse" (0xbfffe174)
> > "reftex-access-scan-info" (0xbfffe2a4)
> > "reftex-toc" (0xbfffe414)
> > "call-interactively" (0xbfffe5ac)
> > (gdb) 
> > 
> > And here is another one (typing \ref{valami}, it also freezes reftex):
> > 
> > Lisp Backtrace:
> > "up-list" (0xbfffcea4)
> > "byte-code" (0xbfffcf50)
> > "byte-code" (0xbfffd170)
> > "reftex-what-macro" (0xbfffd3e4)
> > "reftex-what-macro-safe" (0xbfffd514)
> > "reftex-view-crossref" (0xbfffd654)
> > "byte-code" (0xbfffd700)
> > "reftex-view-crossref-when-idle" (0xbfffda48)
> > "apply" (0xbfffda44)
> > "byte-code" (0xbfffdaf0)
> > "timer-event-handler" (0xbfffdd94)
> > (gdb) 
> > 
> > Regards,
> > Alpar
> > 
> > 
>